• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Ron McLeod
  • Paul Clapham
  • Bear Bibeault
  • Junilu Lacar
Sheriffs:
  • Jeanne Boyarsky
  • Tim Cooke
  • Henry Wong
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Tim Holloway
  • salvin francis
  • Frits Walraven
Bartenders:
  • Scott Selikoff
  • Piet Souris
  • Carey Brown

Problem with WSAD 5.1.0

 
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi All,

I am trying to run an application over my localhost server in WSAD 5.1.0.
But it gives me an Unsupported major minor error 48.0.

For this, it was suggested to use WSAD 5.1.2 'coz it internally uses JRE 1.4 for the localhost server.

Is there some other workaround or I have to download WSAD 5.1.2.

If I have to download one, from where to do it?.

Please help !!

Thanks
Shirish
[ October 07, 2008: Message edited by: Shirish Nagar ]
 
author
Posts: 3281
8
Mac OS X Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi there and welcome to Javaranch!

Indeed you are running across a Java version clash. What version of the JDK/JRE are you running the application server with? You should check that against what the application server is compatible with (a quick google search should find this for you).

WSAD can be downloaded from the IBM site See here for details

Hope that helps!
 
Shirish Nagar
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks Martijn,

I'm currently using JDK 1.4 version to compile my code. I did all the Preferences settings in WSAD, but when the application server starts up it shows that its using Java Home JRE 1.3.

Now its apparent I cant make the server use 1.4 JRE to run my code.

Also I came across a discussion at

https://coderanch.com/t/75511/Websphere/WSAD-upgrade.

This says that WSAD 5.1.2 is not a maintenance version so it can't be downloaded from web, it can be only obtained thru IBM Sales support team.

Thanks
Shirish
 
Martijn Verburg
author
Posts: 3281
8
Mac OS X Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Is there a particular reason why you can't run the app server under JDK1.4? Does it not support it?
 
author & internet detective
Posts: 40198
816
Eclipse IDE VI Editor Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

Originally posted by Shirish Nagar:
Is there some other workaround or I have to download WSAD 5.1.2.


No. There is not a supported way to change the JVM of a WebSphere server.
 
Shirish Nagar
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thank you Jeanne,

Kindly suggest a way to obtain WSAD 5.1.2 version which internally uses JRE 1.4 for its server.

Is it possible to obtain it thru internet or I have to contact IBM Sales support team?

The link advised by Martijn doesn't seem to retrieve a WSAD 5.1.2 download page.

Thank you so much for your valuable suggestions !!

Thanks
Shirish Nagar
[ October 08, 2008: Message edited by: Shirish Nagar ]
 
Martijn Verburg
author
Posts: 3281
8
Mac OS X Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I would contact IBM sales support (be prepared for a grilling as to why you're not using their latest and greatest ;p)
 
Jeanne Boyarsky
author & internet detective
Posts: 40198
816
Eclipse IDE VI Editor Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Shirish,
You will need to contact IBM. Note that WSAD isn't supported anymore so you should really upgrade to RAD 6. (They renamed WSAD to RAD with that release.) RAD 7 is coming out the end of the month - depending on how stable you think it will be.
 
Marshal
Posts: 25812
69
Eclipse IDE Firefox Browser MySQL Database
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Actually, just to be picky, that was the end of September, not October. And it was RAD 7.5 and Websphere 7.0 that were released then.

No comment on the stability issue.
 
Shirish Nagar
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi All,

My employer negotiated with IBM sales and got the 5.1.2 version for me..

And my app and WSAD lived happily ever after !!...

I am thankful to each one of you from the community for providing such a wonderful platform to share knowledge and experiences.
[ October 09, 2008: Message edited by: Shirish Nagar ]
 
Jeanne Boyarsky
author & internet detective
Posts: 40198
816
Eclipse IDE VI Editor Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Shirish: I'm glad you got the software you need.

Originally posted by Paul Clapham:
Actually, just to be picky, that was the end of September, not October. And it was RAD 7.5 and Websphere 7.0 that were released then.


Continuing the detail - yes, I meant RAD 7.5. It was originally scheduled for the end of September. Then IBM issued a beta extension through Monday (October 13th.) So I think the non-beta release should be coming soon.
 
Paul Clapham
Marshal
Posts: 25812
69
Eclipse IDE Firefox Browser MySQL Database
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

Originally posted by Jeanne Boyarsky:
Then IBM... issued a beta extension[/URL] through Monday (October 13th.) So I think the non-beta release should be coming soon.

IBM's website didn't say anything about "beta" when I downloaded RAD 7.5 from it last week.
 
Jeanne Boyarsky
author & internet detective
Posts: 40198
816
Eclipse IDE VI Editor Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

Originally posted by Paul Clapham:
IBM's website didn't say anything about "beta" when I downloaded RAD 7.5 from it last week.


Good to know. I guess they decided to extend the beta longer so there would be overlap.
 
when your children are suffering from your punishment, tell your them it will help them write good poetry when they are older. Like this tiny ad:
Building a Better World in your Backyard by Paul Wheaton and Shawn Klassen-Koop
https://coderanch.com/wiki/718759/books/Building-World-Backyard-Paul-Wheaton
    Bookmark Topic Watch Topic
  • New Topic